package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/ledger/ledger_models"
)

// AccountingRuleChannelWrapper wraps the object with the security principal
type AccountingRuleChannelWrapper struct {
	Obj       ledger_models.AccountingRule
	Principal User
}

// AccountingRule is a first class object type
type AccountingRule struct {
	ID                   string
	AccountID            string
	Code                 string
	COGSaccountID        string
	COGSaccountName      string
	CreatedByID          string
	CreatedDate          sql.NullTime
	CreditAccountID      string
	CreditAccountName    string
	DebitAccountID       string
	DebitAccountName     string
	Description          string
	InventoryAccountID   string
	InventoryAccountName string
	IsDeferred           bool
	LastModifiedByID     string
	LastModifiedDate     sql.NullTime
	ParentFK             string
	Proportion           float64
	TenantID             string
}
