package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/ledger/ledger_models"
)

// JournalItemChannelWrapper wraps the object with the security principal
type JournalItemChannelWrapper struct {
	Obj       ledger_models.JournalItem
	Principal User
}

// JournalItem is a first class object type
type JournalItem struct {
	ID                  string
	CreatedByID         string
	CreatedDate         sql.NullTime
	Credit              float64
	Debit               float64
	GlAccountID         string
	GlAccountDisplay    string
	GlBalance           string
	InvoiceItemID       string
	JournalEntryID      string
	LastModifiedDate    sql.NullTime
	LastModifiedByID    string
	PoItemID            string
	ProductID           string
	ProductCode         string
	ReferenceType       string
	SalesRegulation     string
	TaxnexusCodeID      string
	TaxnexusCodeDisplay string
	TaxTransactionID    string
	TenantID            string
}
