package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// LicenseChannelWrapper wraps the object with the security principal
type LicenseChannelWrapper struct {
	Obj       regs_models.License
	Principal User
}

// License is a first class object type
type License struct {
	ID               string
	AccountID        string
	BackendID        string
	ContactID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	DateIssued       sql.NullTime
	Designation      string
	ExpirationDate   sql.NullTime
	IsCanceled       bool
	IsRevoked        bool
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	LicenseNumber    string
	LicenseTypeID    string
	OwnerID          string
	ParentFK         string
	Ref              string
	Status           string
	TenantID         string
}
