package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// LicenseTypeChannelWrapper wraps the object with the security principal
type LicenseTypeChannelWrapper struct {
	Obj       regs_models.LicenseType
	Principal User
}

// LicenseType is a first class object type
type LicenseType struct {
	ID               string
	AccountID        string
	AgentID          string
	ContactID        string
	Cost             float64
	CreatedByID      string
	CreatedDate      sql.NullTime
	DomainID         string
	Domains          []string
	Frequency        string
	Jurisdictions    []*GeoLicenseTypeInstance
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Level            string
	MetrcName        string
	Name             string
	OwnerID          string
	PicklistValue    string
	Ref              string
	Restriction      string
	Tier             string
}

// GeoLicenseTypeInstanceChannelWrapper wraps the object with the security principal
type GeoLicenseTypeInstanceChannelWrapper struct {
	Obj       regs_models.GeoLicenseTypeInstance
	Principal User
}

// GeoLicenseTypeInstance is a first class object type
type GeoLicenseTypeInstance struct {
	ID               string
	CountryID        string
	CountyID         string
	CreatedByID      string
	CreatedDate      sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	LicenseTypeID    string
	OwnerID          string
	OrderID          string
	ObjectType       string
	PlaceID          string
	StateID          string
}

// DomainLicenseTypeInstanceChannelWrapper wraps the object with the security principal
type DomainLicenseTypeInstanceChannelWrapper struct {
	//	Obj       regs_models.DomainLicenseTypeInstance
	Principal User
}

// DomainLicenseTypeInstance is a first class object type
type DomainLicenseTypeInstance struct {
	ID               string
	DomainID         string
	CreatedByID      string
	CreatedDate      sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	LicenseTypeID    string
	OwnerID          string
}
