package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/devops/devops_models"
)

// TemplateChannelWrapper wraps the object with the security principal
type TemplateChannelWrapper struct {
	Obj       devops_models.Template
	Principal User
}

// Template is a first class object type
type Template struct {
	ID               string
	CompanyID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	HTML             string
	IsActive         bool
	IsMaster         bool
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	Name             string
	ObjectType       string
	RecordTypeName   string
	TenantID         string
	Type             string
	URL              string
}
